"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_uni_icons2 + _easycom_hs_button2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_button)();
}
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.ref(false);
    const formData = common_vendor.ref({});
    common_vendor.onLoad((e) => {
      console.log("forward", e);
      formData.value = e;
    });
    const handleNavigateBack = () => {
      common_vendor.index.navigateBackMiniProgram({
        success(res) {
        }
      });
    };
    common_vendor.onShareAppMessage(() => {
      var _a, _b;
      if (((_a = formData.value) == null ? void 0 : _a.source) === "OutstandingFeeList") {
        return {
          title: "分享给您物业账单",
          path: "/INDEX/bill/list/index",
          imageUrl: "https://pay-prod-1369486729.cos.ap-guangzhou.myqcloud.com/uploads/cs-test/01K5B5RY2TQQAJ1GT2RZSK426V.jpg"
        };
      }
      if (((_b = formData.value) == null ? void 0 : _b.source) === "HouseholdRegistration") {
        return {
          title: "邀请您入户",
          path: "/INDEX/binding/index",
          imageUrl: "https://pay-prod-1369486729.cos.ap-guangzhou.myqcloud.com/uploads/cs-test/01K5B5RY2TQQAJ1GT2RZSK426V.jpg"
        };
      }
      return {};
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "auth-filled",
          size: "80",
          color: "#0082fa"
        }),
        b: common_vendor.o(handleNavigateBack),
        c: common_vendor.p({
          type: "display",
          size: "md",
          label: "返回"
        }),
        d: common_vendor.p({
          type: "primary",
          size: "md",
          openType: "share",
          label: "请选择好友"
        })
      };
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 2;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/pages/forward/index.vue"]]);
wx.createPage(MiniProgramPage);
